Subject: Re: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: João Távora <[email-masked]>
Date: Tue, 21 Jan 2020 16:41:03 +0000

On Tue, Jan 21, 2020 at 4:32 PM Stefan Monnier <[email-masked]> wrote:

> In any case I was just pointing out that adding the default to the head
> of the "completion candidates" increases the cases where the current
> problem shows up.

Can anyone comment, or restate, for my benefit, what exactly the
"current problem" is?

Is it statable in the form "currently <in this situation>  I can't use
RET to <do this
particular thing>, as I do in <ido-moe, foo-mode, bare completion, etc>"?

I've been using `fido-mode` pretty stable for the last month or so and don't
notice any "obvious" improvements _to its intented interface_. Obviously,
I am _all_ for refactorings and cleanups, but am also against any
_regressions_ ;-), so if there are no very clearly defined improvements
to the interface (this is a new feature, after all) , I would suggest that
this work is done on master, not  on emacs-27.

João